gsmtap.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | GSMTAP_VERSION 0x02
#define | GSMTAP_TYPE_UM 0x01 /* A Layer 2 MAC block (23 bytes) */
#define | GSMTAP_TYPE_ABIS 0x02
#define | GSMTAP_TYPE_UM_BURST 0x03 /* raw burst bits */
#define | GSMTAP_BURST_UNKNOWN 0x00
#define | GSMTAP_BURST_FCCH 0x01
#define | GSMTAP_BURST_PARTIAL_SCH 0x02
#define | GSMTAP_BURST_SCH 0x03
#define | GSMTAP_BURST_CTS_SCH 0x04
#define | GSMTAP_BURST_COMPACT_SCH 0x05
#define | GSMTAP_BURST_NORMAL 0x06
#define | GSMTAP_BURST_DUMMY 0x07
#define | GSMTAP_BURST_ACCESS 0x08
#define | GSMTAP_BURST_NONE 0x09
#define | GSMTAP_CHANNEL_UNKNOWN 0x00
#define | GSMTAP_CHANNEL_BCCH 0x01
#define | GSMTAP_CHANNEL_CCCH 0x02
#define | GSMTAP_CHANNEL_RACH 0x03
#define | GSMTAP_CHANNEL_AGCH 0x04
#define | GSMTAP_CHANNEL_PCH 0x05
#define | GSMTAP_CHANNEL_SDCCH 0x06
#define | GSMTAP_CHANNEL_SDCCH4 0x07
#define | GSMTAP_CHANNEL_SDCCH8 0x08
#define | GSMTAP_CHANNEL_TCH_F 0x09
#define | GSMTAP_CHANNEL_TCH_H 0x0a
#define | GSMTAP_CHANNEL_ACCH 0x80
#define | GSMTAP_ARFCN_F_PCS 0x8000
#define | GSMTAP_ARFCN_F_UPLINK 0x4000
#define | GSMTAP_ARFCN_MASK 0x3fff
#define | GSMTAP_UDP_PORT 4729 /* officially registered with IANA */
#define | PACKED(class_to_pack)

## Functions

| PACKED (struct gsmtap_hdr { uint8_t version;uint8_t hdr_len;uint8_t type;uint8_t timeslot;uint16_t arfcn;int8_t signal_dbm;int8_t snr_db;uint32_t frame_number;uint8_t sub_type;uint8_t antenna_nr;uint8_t sub_slot;uint8_t res;})

## Macro Definition Documentation

## GSMTAP_ARFCN_F_PCS

#define GSMTAP_ARFCN_F_PCS 0x8000

## GSMTAP_ARFCN_F_UPLINK

#define GSMTAP_ARFCN_F_UPLINK 0x4000

## GSMTAP_ARFCN_MASK

#define GSMTAP_ARFCN_MASK 0x3fff

## GSMTAP_BURST_ACCESS

#define GSMTAP_BURST_ACCESS 0x08

## GSMTAP_BURST_COMPACT_SCH

#define GSMTAP_BURST_COMPACT_SCH 0x05

## GSMTAP_BURST_CTS_SCH

#define GSMTAP_BURST_CTS_SCH 0x04

## GSMTAP_BURST_DUMMY

#define GSMTAP_BURST_DUMMY 0x07

## GSMTAP_BURST_FCCH

#define GSMTAP_BURST_FCCH 0x01

## GSMTAP_BURST_NONE

#define GSMTAP_BURST_NONE 0x09

## GSMTAP_BURST_NORMAL

#define GSMTAP_BURST_NORMAL 0x06

## GSMTAP_BURST_PARTIAL_SCH

#define GSMTAP_BURST_PARTIAL_SCH 0x02

## GSMTAP_BURST_SCH

#define GSMTAP_BURST_SCH 0x03

## GSMTAP_BURST_UNKNOWN

#define GSMTAP_BURST_UNKNOWN 0x00

## GSMTAP_CHANNEL_ACCH

#define GSMTAP_CHANNEL_ACCH 0x80

## GSMTAP_CHANNEL_AGCH

#define GSMTAP_CHANNEL_AGCH 0x04

## GSMTAP_CHANNEL_BCCH

#define GSMTAP_CHANNEL_BCCH 0x01

## GSMTAP_CHANNEL_CCCH

#define GSMTAP_CHANNEL_CCCH 0x02

## GSMTAP_CHANNEL_PCH

#define GSMTAP_CHANNEL_PCH 0x05

## GSMTAP_CHANNEL_RACH

#define GSMTAP_CHANNEL_RACH 0x03

## GSMTAP_CHANNEL_SDCCH

#define GSMTAP_CHANNEL_SDCCH 0x06

## GSMTAP_CHANNEL_SDCCH4

#define GSMTAP_CHANNEL_SDCCH4 0x07

## GSMTAP_CHANNEL_SDCCH8

#define GSMTAP_CHANNEL_SDCCH8 0x08

## GSMTAP_CHANNEL_TCH_F

#define GSMTAP_CHANNEL_TCH_F 0x09

## GSMTAP_CHANNEL_TCH_H

#define GSMTAP_CHANNEL_TCH_H 0x0a

## GSMTAP_CHANNEL_UNKNOWN

#define GSMTAP_CHANNEL_UNKNOWN 0x00

## GSMTAP_TYPE_ABIS

#define GSMTAP_TYPE_ABIS 0x02

## GSMTAP_TYPE_UM

#define GSMTAP_TYPE_UM 0x01 /* A Layer 2 MAC block (23 bytes) */

## GSMTAP_TYPE_UM_BURST

#define GSMTAP_TYPE_UM_BURST 0x03 /* raw burst bits */

## GSMTAP_UDP_PORT

#define GSMTAP_UDP_PORT 4729 /* officially registered with IANA */

## GSMTAP_VERSION

#define GSMTAP_VERSION 0x02

## PACKED

#define PACKED | ( |  | class_to_pack | ) |

Value:
class_to_pack __attribute__((__packed__))

## Function Documentation

## PACKED()

PACKED | ( | struct gsmtap_hdr { uint8_t version;uint8_t hdr_len;uint8_t type;uint8_t timeslot;uint16_t arfcn;int8_t signal_dbm;int8_t snr_db;uint32_t frame_number;uint8_t sub_type;uint8_t antenna_nr;uint8_t sub_slot;uint8_t res;} |  | ) |